using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using UUN;
using System.Data.SqlClient;
using System.IO;

public partial class Admin_SheZhi_NeiRongShuJu : System.Web.UI.Page
{
    private 访问 访问;
    protected void Page_Load(object sender, EventArgs e)
    {
        访问 = new 访问(this.Context);
        访问.开始处理("更改内容数据设置", "网站后台", "更改内容数据设置", new 访问.回调委托(ZhiXing));
        访问.关闭连接();
    }

    private void ZhiXing()
    {
        访问.验证管理员();

        if (this.IsPostBack)
            更改设置();
        else
            设置();
    }

    private void 设置()
    {
        ZiDongWenZhangJianJieZiFuShu.Text = Convert.ToString(程序.设置["内容设置_自动文章简介字符数"]);
        SuiJiWenZhangZuShu.Text = 程序.设置["内容设置_随机文章组数"].ToString();
        SuiJiTuPianZuShu.Text = 程序.设置["内容设置_随机图片组数"].ToString();
        SuiJiRuanJianZuShu.Text = 程序.设置["内容设置_随机软件组数"].ToString();
        SuiJiYinYueZuShu.Text = 程序.设置["内容设置_随机音乐组数"].ToString();
        SuiJiShiPingZuShu.Text = 程序.设置["内容设置_随机视频组数"].ToString();
        SuiJiGeShouZuShu.Text = 程序.设置["内容设置_随机歌手组数"].ToString();
        SuiJiZhuanJiZuShu.Text = 程序.设置["内容设置_随机专辑组数"].ToString();
        SuiJiPingLunZuShu.Text = 程序.设置["内容设置_随机评论组数"].ToString();
        SuiJiTieZhiZuShu.Text = 程序.设置["内容设置_随机贴子组数"].ToString();
        SuiJiHuiTieZuShu.Text = 程序.设置["内容设置_随机回贴组数"].ToString();
        SuiJiLiuYanZuShu.Text = 程序.设置["内容设置_随机留言组数"].ToString();
    }

    private void 更改设置()
    {
        访问.验证权限("1");
        程序.设置["内容设置_自动文章简介字符数"] = ZiDongWenZhangJianJieZiFuShu.Text;
        程序.设置["内容设置_随机文章组数"] = SuiJiWenZhangZuShu.Text;
        程序.设置["内容设置_随机图片组数"] = SuiJiTuPianZuShu.Text;
        程序.设置["内容设置_随机软件组数"] = SuiJiRuanJianZuShu.Text;
        程序.设置["内容设置_随机音乐组数"] = SuiJiYinYueZuShu.Text;
        程序.设置["内容设置_随机视频组数"] = SuiJiShiPingZuShu.Text;
        程序.设置["内容设置_随机歌手组数"] = SuiJiGeShouZuShu.Text;
        程序.设置["内容设置_随机专辑组数"] = SuiJiZhuanJiZuShu.Text;
        程序.设置["内容设置_随机评论组数"] = SuiJiPingLunZuShu.Text;
        程序.设置["内容设置_随机贴子组数"] = SuiJiTieZhiZuShu.Text;
        程序.设置["内容设置_随机回贴组数"] = SuiJiHuiTieZuShu.Text;
        程序.设置["内容设置_随机留言组数"] = SuiJiLiuYanZuShu.Text;

        File.WriteAllText(Server.MapPath("~/Data/XML/SheZhi.xml"), 程序.设置.生成XML());
    }
}
